.loading {
    width: 100%;
    height: 100%;
    background-color: #FFF;
    position: fixed;
    z-index: 9999;
    opacity: 1;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.loading-50 {
    width: 100%;
    height: 100%;
    background-color: #FFF;
    position: fixed;
    z-index: 9999;
    opacity: 1;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 50%;
}

.loader {
    border: 6px solid #CCC;
    /* Light grey */
    border-top: 6px solid #3498db;
    /* Blue */
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 2s linear infinite;
    position: absolute;
    margin: auto;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 10;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
